
Ceph - Bug #19733

clean up min/max span warning

04/21/2017 03:13 AM - David Zafman

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee: David Zafman   

Category:    

Target version:    

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport: kraken, jewel ceph-qa-suite:  

Regression: No Pull request ID:  

Severity: 3 - minor Crash signature:  

Description

Sage cleaned up the name of the config and some minor output changes:

https://github.com/ceph/ceph/pull/14611

Related issues:

Related to Ceph - Bug #15912: An OSD was seen getting ENOSPC even with osd_fa... Resolved 05/17/2016

Related to RADOS - Bug #20730: need new OSD_SKEWED_USAGE implementation New

Copied to Ceph - Backport #19841: kraken: clean up min/max span warning Resolved

Copied to Ceph - Backport #19842: jewel: clean up min/max span warning Resolved

History

#1 - 04/21/2017 03:07 PM - David Zafman

- Related to Bug #15912: An OSD was seen getting ENOSPC even with osd_failsafe_full_ratio passed added

#2 - 05/01/2017 04:20 PM - Sage Weil

- Status changed from 7 to Pending Backport

#3 - 05/03/2017 08:19 PM - Nathan Cutler

- Copied to Backport #19841: kraken: clean up min/max span warning added

#4 - 05/03/2017 08:19 PM - Nathan Cutler

- Copied to Backport #19842: jewel: clean up min/max span warning added

#5 - 08/23/2017 06:53 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved

#6 - 08/23/2017 07:12 PM - David Zafman

Unfortunately, I think Sage removed this code later, so that probably needs to be backported too.

#7 - 08/23/2017 07:39 PM - Nathan Cutler

David, do you mean daa0793c393a21bd2dd2ec52a0efd181e1032400 ?

smithfarm@wilbur:~/src/ceph/smithfarm/ceph> git log -S 'difference between min' src/mon/PGMonitor.cc

commit daa0793c393a21bd2dd2ec52a0efd181e1032400

Author: Sage Weil <sage@redhat.com>

Date:   Tue May 16 13:20:51 2017 -0400
    mon/PGMonitor: move most of get_health into PGMap

    Leave the legacy full/nearfull stuff in PGMonitor (although we'll still

    need to clean out the PGMap fields too).

    This is cut and paste, some stripping of pg_map., g_conf -> cct->_conf,

    and a bit of whitespace cleanup.

    Signed-off-by: Sage Weil <sage@redhat.com>

commit 489e810c37ed6fb9d32d1015634041a577501ee4

Author: Sage Weil <sage@redhat.com>

Date:   Tue Apr 18 13:54:56 2017 -0400

    mon/PGMonitor: clean up min/max span warning

    Clean up option naming.

    Signed-off-by: Sage Weil <sage@redhat.com>

#8 - 08/23/2017 09:04 PM - David Zafman

7832c53375ad24f3b54a68a3c63b056e69e3fa0d removed it after it was moved by daa0793c393a21bd2dd2ec52a0efd181e1032400

commit 7832c53375ad24f3b54a68a3c63b056e69e3fa0d

Author: Sage Weil <sage@redhat.com>

Date:   Fri Jul 21 11:58:08 2017 -0400

    mon/PGMap: remove skewed utilizatoin warning

    This has a few problems:

    1- It does not do it's analysis over CRUSH rule roots/classes, which

    means that an innocent user of classes will see skewed usage (bc hdds are

    more full than ssds, say)

    2- It does not take degraded clusters into account, which means the warning

    will appear when a fresh OSD is added.

    See http://tracker.ceph.com/issues/20730

    Signed-off-by: Sage Weil <sage@redhat.com>
#9 - 08/23/2017 09:05 PM - David Zafman

- Related to Bug #20730: need new OSD_SKEWED_USAGE implementation added

#10 - 08/23/2017 09:06 PM - David Zafman

The tracker for the removal is http://tracker.ceph.com/issues/20730.  I added it to related issues.
